Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyProgramElementDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

- All Implemented Interfaces and Traits:
    GroovyProgramElementDoc

      public class SimpleGroovyProgramElementDoc
      extends SimpleGroovyDoc

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `final`
    `boolean` | `packagePrivate`
    `boolean` | `private`
    `boolean` | `protected`
    `boolean` | `public`
    `boolean` | `static`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyProgramElementDoc (String name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addAnnotationRef(GroovyAnnotationRef ref)`
    `` | `GroovyAnnotationRef[]` | `annotations()`
    `` | `GroovyClassDoc` | `containingClass()`
    `` | `GroovyPackageDoc` | `containingPackage()`
    `` | `boolean` | `isFinal()`
    `` | `boolean` | `isPackagePrivate()`
    `` | `boolean` | `isPrivate()`
    `` | `boolean` | `isProtected()`
    `` | `boolean` | `isPublic()`
    `` | `boolean` | `isStatic()`
    `` | `int` | `modifierSpecifier()`
    `` | `String` | `modifiers()`
    `` | `String` | `qualifiedName()`
    `` | `void` | `setContainingPackage(GroovyPackageDoc packageDoc)`
    `` | `void` | `setFinal(boolean b)`
    `` | `void` | `setPackagePrivate(boolean b)`
    `` | `void` | `setPrivate(boolean b)`
    `` | `void` | `setProtected(boolean b)`
    `` | `void` | `setPublic(boolean b)`
    `` | `void` | `setStatic(boolean b)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleGroovyDoc` | `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean final

    - #### boolean packagePrivate

    - #### boolean private

    - #### boolean protected

    - #### boolean public

    - #### boolean static

  - ### Constructor Detail

    - #### public SimpleGroovyProgramElementDoc(String name)

  - ### Method Detail

    - #### public void addAnnotationRef(GroovyAnnotationRef ref)

    - #### public GroovyAnnotationRef[] annotations()

    - #### public GroovyClassDoc containingClass()

    - #### public GroovyPackageDoc containingPackage()

    - #### public boolean isFinal()

    - #### public boolean isPackagePrivate()

    - #### public boolean isPrivate()

    - #### public boolean isProtected()

    - #### public boolean isPublic()

    - #### public boolean isStatic()

    - #### public int modifierSpecifier()

    - #### public String modifiers()

    - #### public String qualifiedName()

    - #### public void setContainingPackage(GroovyPackageDoc packageDoc)

    - #### public void setFinal(boolean b)

    - #### public void setPackagePrivate(boolean b)

    - #### public void setPrivate(boolean b)

    - #### public void setProtected(boolean b)

    - #### public void setPublic(boolean b)

    - #### public void setStatic(boolean b)